API SpecificationNamespaces
ListApiKeys
Authorization
BearerAuth AuthorizationBearer <token>
A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC
token for humans. The key's namespace and role are pinned server-side.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
namespace?string
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://containers.xeonr.io/containers.api.v1.NamespaceService/ListApiKeys" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"keys": [
{
"keyId": "string",
"namespace": "string",
"name": "string",
"role": "ROLE_UNSPECIFIED",
"createdAtUnix": 0,
"lastUsedAtUnix": 0
}
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}